## Class Auth_OpenID_AX_StoreRequest

Description

A store request attribute exchange message representation.

Located in /Auth/OpenID/AX.php (line 952)

    Auth_OpenID_Extension
       |
       --Auth_OpenID_AX_Message
          |
          --Auth_OpenID_AX_KeyValueMessage
             |
             --Auth_OpenID_AX_StoreRequest

Variable Summary
mixed $mode
Method Summary
void getExtensionArgs ([array $aliases = null])
Variables
mixed $mode = 'store_request' (line 953)

Redefinition of:

Auth_OpenID_AX_Message::$mode
  mode: The type of this attribute exchange message. This must be overridden in subclasses.

#### Inherited Variables

Inherited from Auth_OpenID_AX_Message

> Auth_OpenID_AX_Message::$ns_alias
> Auth_OpenID_AX_Message::$ns_uri

Methods
getExtensionArgs (line 959)
void getExtensionArgs ([array $aliases = null])

- array $aliases: The namespace aliases to use when making this store response. Leave as None to use defaults.

Redefinition of:

Auth_OpenID_Extension::getExtensionArgs()
  Get the string arguments that should be added to an OpenID message for this extension.

#### Inherited Methods

Inherited From Auth_OpenID_AX_KeyValueMessage

> Auth_OpenID_AX_KeyValueMessage::Auth_OpenID_AX_KeyValueMessage()
> Auth_OpenID_AX_KeyValueMessage::addValue()
> Auth_OpenID_AX_KeyValueMessage::count()
> Auth_OpenID_AX_KeyValueMessage::get()
> Auth_OpenID_AX_KeyValueMessage::getSingle()
> Auth_OpenID_AX_KeyValueMessage::parseExtensionArgs()
> Auth_OpenID_AX_KeyValueMessage::setValues()

Inherited From Auth_OpenID_Extension

> Auth_OpenID_Extension::getExtensionArgs()
> Auth_OpenID_Extension::toMessage()

Documentation generated on Tue, 21 Apr 2009 11:31:30 -0700 by phpDocumentor 1.3.2